%global project_version 0.0.2

Name:		oh-my-vagrant
Version:	0.0.2
#Release:	1%{?dist}	# use this to make dist specific builds
Release:	1
Summary:	An easy to use dev environment for using vagrant with puppet, docker and more!
License:	AGPLv3+
URL:		https://github.com/purpleidea/oh-my-vagrant
Source0:	https://dl.fedoraproject.org/pub/alt/purpleidea/oh-my-vagrant/SOURCES/oh-my-vagrant-%{project_version}.tar.bz2
BuildArch:	noarch

Requires: vagrant >= 1.6.5
Requires: vagrant-libvirt >= 0.0.24

%description
An easy to use dev environment for using vagrant with puppet, docker and more!

%prep
%setup -c -q -T -D -a 0

%build

%install
rm -rf %{buildroot}
# _datadir is typically /usr/share/
install -d -m 0755 %{buildroot}/%{_datadir}/oh-my-vagrant/
cp -r oh-my-vagrant-%{project_version}/* %{buildroot}/%{_datadir}/oh-my-vagrant/

mkdir -p %{buildroot}/%{_bindir}
install -m 0755 oh-my-vagrant-%{project_version}/bin/omv.sh %{buildroot}/%{_bindir}/omv

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install oh-my-vagrant-%{project_version}/extras/vagrant.bashrc -m 0755 %{buildroot}%{_sysconfdir}/profile.d/oh-my-vagrant.sh

%files
%dir %{_sysconfdir}/profile.d
%attr(0755, root, root) %{_sysconfdir}/profile.d/oh-my-vagrant.sh
%{_datadir}/oh-my-vagrant/*
%{_bindir}/omv

# this changelog is auto-generated by git log
%changelog
* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (8ee3fda) Make RPM's from the Makefile (HEAD, feat/rpm)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (ef16c73) Accurately check image names to ensure we pull a box if present (origin/master, master)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (ae7652d) The --help flag should actually work :)

* Mon Jul 6 2015 James Shubin <james@shubin.ca>
- (06597a7) Fix whitespace issues found by git diff --check

* Thu Jul 2 2015 James Shubin <james@shubin.ca>
- (cec25b9) Add shell provisioner option

* Thu Jul 2 2015 James Shubin <james@shubin.ca>
- (aa764ae) Add a mainstream mode to make packaged/installed omv easier (origin/feat/installable)

* Thu Jul 2 2015 James Shubin <james@shubin.ca>
- (8530734) Let the docker variable be used to specify which subdirs to look in

* Wed Jul 1 2015 Scott Collier <emailscottcollier@gmail.com>
- (2742951) adding a section to the FAQ about the hostmanager plugin requirements

* Wed Jul 1 2015 James Shubin <james@shubin.ca>
- (9627fc3) Small capitalization fixup for consistency.

* Wed Jul 1 2015 ncoghlan <ncoghlan@gmail.com>
- (5599b07) Suggested "getting started" docs enhancements

* Tue Jun 30 2015 James Shubin <james@shubin.ca>
- (d7c1f1b) Add some docs about some possible dependencies needed

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (1a76750) Rename for consistency

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (64b203a) Add slower kubernetes on atomic example

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (1fa9140) Switch atomic example to latest F22

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (a5da7e1) Add comment field to yaml file

* Tue Jun 16 2015 James Shubin <james@shubin.ca>
- (53962dc) Update server

* Fri May 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (9607d41) Ansible provisioner: various fixes

* Wed May 27 2015 James Shubin <james@shubin.ca>
- (42e6686) Workaround issues with broken vagrant boxes

* Thu May 21 2015 James Shubin <james@shubin.ca>
- (85f216a) Add simple patch script to make new users lives easier

* Thu May 7 2015 James Shubin <james@shubin.ca>
- (de70781) Update arg to use --omv prefix instead

* Thu May 7 2015 James Shubin <james@shubin.ca>
- (3831a73) Update comment to refer to libvirt

* Thu May 7 2015 James Shubin <james@shubin.ca>
- (b408877) Add a method and alias for cleaning the erroneous entries.

* Thu May 7 2015 Randy Barlow <rbarlow@redhat.com>
- (68c0406) Add a note about the Freenode channel to README.

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (71a291e) Add missing update command line arg

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (4604d8e) Reorder reallyrm variable so it appears last.

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (93b32b2) Add atomic example, even if no fully working boxes exist yet.

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (4f904a7) Add simple ansible example

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (389e672) Clean up the old ansible example

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (45b53ee) Add missing keys to fake examples

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (b4c5611) Add new omv.yaml option to example

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (a9f6275) Add RHEL example.

* Sat May 2 2015 James Shubin <james@shubin.ca>
- (d034180) Add new links to blog posts and screencasts!

* Fri May 1 2015 James Shubin <james@shubin.ca>
- (270a1bc) Add new update variable

* Fri May 1 2015 James Shubin <james@shubin.ca>
- (d215ce5) Make kubernetes events be more visible to the user.

* Thu Apr 30 2015 James Shubin <james@shubin.ca>
- (afb14a0) Strip off leading # mark.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (4f78f49) Fix formatting for indented lists

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (9983163) Make vagrant-hostmanager easily consumable to users. (origin/feat/hostmanager, feat/hostmanager)

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (3980457) Replace use of puppet with vagrant-hostmanager.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (936b6e5) Cleanup path joining.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (0249b0b) Add docker group if missing

* Thu Apr 23 2015 scollier <emailscottcollier@gmail.com>
- (f776a69) Adds the ability to update a VM

* Thu Apr 23 2015 Randy Barlow <rbarlow@redhat.com>
- (5272223) Vagrant is now available in F21!

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (d8d1cb1) Workaround lack of docker group on atomic.

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (e20529f) Use a more appropriate error message.

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (b7e2342) Add missing kubernetes variable which is now supported.

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (178c708) Update examples to 7.1

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (c6d8261) Add common vagrant bashrc extras to this project.

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (f3e2e6a) Detect RHEL variants even if they are of type atomic.

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (b4f720a) Update new default image to CentOS 7.1

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (85d3b22) Automatically support the Atomic host

* Fri Apr 17 2015 James Shubin <james@shubin.ca>
- (c6e020a) Fix a small provision ordering bug.

* Fri Apr 17 2015 James Shubin <james@shubin.ca>
- (cea09d3) Add a docker+kubernetes example file.

* Thu Apr 16 2015 James Shubin <james@shubin.ca>
- (1f26e5b) Add kubernetes support (feat/kubernetes)

* Wed Apr 8 2015 James Shubin <james@shubin.ca>
- (e17254c) Point to a real docker example app.

* Wed Apr 1 2015 James Shubin <james@shubin.ca>
- (040a404) Fix small nitpicks.

* Wed Apr 1 2015 Flavio Fernandes <ffernand@redhat.com>
- (2595f12) First draft attempt in getting support for VirtualBox

* Wed Apr 1 2015 James Shubin <james@shubin.ca>
- (5787ad6) Add docker build support to omv.

* Wed Apr 1 2015 James Shubin <james@shubin.ca>
- (f0aee26) Improve error message.

* Fri Mar 27 2015 aweiteka <aweiteka@redhat.com>
- (814e48e) Ensure that docker daemon is started.

* Fri Mar 27 2015 aweiteka <aweiteka@redhat.com>
- (0e3fb00) Don't replace insecure key.

* Thu Mar 26 2015 James Shubin <james@shubin.ca>
- (c4359c4) Allow the really_use_rm variable to be set by omv.yaml file.

* Thu Mar 26 2015 James Shubin <james@shubin.ca>
- (f099946) Add two examples of more advanced omv examples.

* Thu Mar 26 2015 James Shubin <james@shubin.ca>
- (6740920) Vagrant-builder now supports doing docker pull.

* Fri Mar 20 2015 James Shubin <james@shubin.ca>
- (b09aad5) Fix typo from lazy copy+paste.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (00cc0a6) Ignore untracked folders.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (895ff45) Add playbook variables for choosing which books to use.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (16bb7e6) Move the extern code to the correct place.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (c56d5bb) Fix gitignore typo.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (4fd436b) Add extern support for ansible.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (9eddb46) Move ansible "provisioner" to the inner loop.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (728f32b) Disable ansible host key checking since this is dev.

* Mon Mar 2 2015 James Shubin <james@shubin.ca>
- (bfb7b99) Add initial ansible support.

* Mon Feb 23 2015 James Shubin <james@shubin.ca>
- (43e10b9) Have a more sensible default for the poolid.

* Mon Feb 16 2015 James Shubin <james@shubin.ca>
- (735a283) Additional cleanups to reference new style omv.yaml configuration.

* Mon Feb 16 2015 Christoph Görn <goern@redhat.com>
- (a235ce2) Update .gitignore

* Mon Feb 16 2015 Christoph Görn <goern@redhat.com>
- (aaf8d30) renamed vagrant.yaml to omv.yaml, just to make clear that this files belongs to oh-my-vagrant

* Mon Feb 16 2015 James Shubin <james@shubin.ca>
- (ea576af) Add a reminder that you might want to git clone --recursive.

* Mon Feb 9 2015 James Shubin <james@shubin.ca>
- (c240f04) Convert nil passwords to '' in case the auth file is missing.

* Fri Feb 6 2015 James Shubin <james@shubin.ca>
- (8fd2418) Speed up remote lookups.

* Thu Feb 5 2015 James Shubin <james@shubin.ca>
- (c97b2f7) Allow users to more easily specify local git repos with ~ in them.

* Wed Feb 4 2015 James Shubin <james@shubin.ca>
- (d913184) Update git repos that have newer patches upstream.

* Thu Jan 29 2015 James Shubin <james@shubin.ca>
- (11552ce) Add support for vagrant.yaml style module definitions.

* Mon Jan 26 2015 James Shubin <james@shubin.ca>
- (4de9a07) Work around puppetlabs RPM bug.

* Mon Jan 26 2015 James Shubin <james@shubin.ca>
- (cdff49f) Finally added some documentation for this project.

* Fri Jan 23 2015 James Shubin <james@shubin.ca>
- (e2d420e) Update to newer versions of puppet-puppet and puppet-yum.

* Thu Jan 22 2015 James Shubin <james@shubin.ca>
- (e69de46) Update to newest git master of puppetlabs stdlib.

* Thu Jan 22 2015 James Shubin <james@shubin.ca>
- (2c27fb1) Small nitpicks and cleanups... Major work by Vasyl!

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (6e6e26c) Ensure all VMs IPs are set before the mainloop, so we can use all VMs IP data inside the mainloop

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (20a9a40) Vim format string: removed `tabstop=4` - with `noexpandtabs` it's not needed. VIP definitions/usage returned. As per James in #62, it should be there, and "It should be the same for all machines."

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (6fdfdaf) Added `noexpandtabs` and `tabstop=4` to vim format definition, and fixed tabbing

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (d021ebc) network2 removed. vagrant-ibvirt by itself allow to set static IPs to VMs by supplying `config.vm.ip = '1.2.3.4'` parameter. Thus, with Libvirt DHCP disabled, and supplying own IPs to each VM, we can have a decent working setup. Furthermore, /etc/hosts approach is completely fine here for name resolving purposes - neither of other approaches provide a flexibility of a plain text file. With Vagrant We're not intended to build a working root DNS servers setup and put it to production anyways :)

* Thu Dec 11 2014 Milan Zink <mzink@redhat.com>
- (97fa79f) Update warning for xdg gem.

* Wed Dec 10 2014 James Shubin <james@shubin.ca>
- (8f0b0ed) Path should be independent of runner of vagrant command.

* Wed Dec 10 2014 James Shubin <james@shubin.ca>
- (4b5670e) Whitespace cleanup.

* Wed Dec 10 2014 James Shubin <james@shubin.ca>
- (e71704f) Add xdg submodule.

* Wed Dec 10 2014 Milan Zink <mzink@redhat.com>
- (3b74832) Patch for require 'xdg' (will use local gem), Warning puts "<MSG>" changed to $stderr.puts <MSG>

* Wed Nov 19 2014 James Shubin <james@shubin.ca>
- (c02b4a7) Pull in the latest updates from the p4h module.

* Sat Nov 15 2014 James Shubin <james@shubin.ca>
- (a3e021d) Update TODO file.

* Tue Nov 11 2014 James Shubin <james@shubin.ca>
- (ae26397) Changed p4h to be a separate git submodule... (origin/newp4h, newp4h)

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (ef72e20) Add prep8. (origin/p4h, p4h)

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (cefe702) Add prep7.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (66df3a2) Add prep6.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (27cda8f) Add prep5.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (f99bf41) Add prep4.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (b1a0a52) Add prep3.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (437cdaa) Add prep2.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (0afb4e1) Add the p4h branch ;)

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (3ad6b76) Ensure variable name isn't reused.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (2d37128) Only ignore vagrant.yaml in the main vagrant/ directory.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (dd95e29) Add an easy to use sync script.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (66f180b) Allow specifying a folder that the data comes from.

* Fri Oct 31 2014 James Shubin <james@shubin.ca>
- (e5631bf) Misc changes including the addition of my TODO file.

* Fri Oct 31 2014 James Shubin <james@shubin.ca>
- (ad5afa6) Have omv act as a cheap ENC that is implemented in puppet.

* Fri Oct 31 2014 James Shubin <james@shubin.ca>
- (2572cb2) Add necessary puppet submodules.

* Wed Oct 29 2014 James Shubin <james@shubin.ca>
- (173ff29) Add motd for fun.

* Wed Oct 29 2014 James Shubin <james@shubin.ca>
- (ae1990f) Remove node inheritance.

* Tue Oct 7 2014 James Shubin <james@shubin.ca>
- (41b2c0b) Fix small bug I introduced that blocked automatic vscreen usage.

* Wed Sep 24 2014 James Shubin <james@shubin.ca>
- (9194b84) Store the username and password in a separate file.

* Sun Sep 21 2014 James Shubin <james@shubin.ca>
- (eef0a7e) Fix copy+paste error. (tag: 0.0.1)

* Sun Sep 21 2014 James Shubin <james@shubin.ca>
- (6ac3a72) Moved .gitignore to correct folder.

* Wed Sep 17 2014 James Shubin <james@shubin.ca>
- (423fefe) Let the user disable repos with a # prefix.

* Wed Sep 17 2014 James Shubin <james@shubin.ca>
- (1421d24) Improved base box url management.

* Wed Sep 17 2014 James Shubin <james@shubin.ca>
- (4c93734) Stick the puppet master into the main machine loop. (origin/feat/single-loop)

* Mon Sep 15 2014 James Shubin <james@shubin.ca>
- (437d3b8) Pick a less confusing default namespace name.

* Thu Sep 4 2014 James Shubin <james@shubin.ca>
- (6dedf77) Add reference to the article I published about this code base.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (67f1bb5) Rename project to something shorter and less stupid.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (064396c) Be wordy with unsubscribe message. (origin/feat/subscription-manager)

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (fbb07b3) Make it easy to enable additional repos per vm.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (5630ea5) Add the ability to unsubscribe in the right place.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (678b920) Add glue to make it easy to use subscription-manager with vagrant.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (0e150bd) Add additional vm and docker infrastructure...

* Thu Aug 28 2014 James Shubin <james@shubin.ca>
- (d12b30e) Enable the use of docker load.

* Thu Aug 28 2014 James Shubin <james@shubin.ca>
- (4faa6c8) Initial commit of vagrant-puppet-docker-template...

